Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent
Class BrokenBarrierException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.util.concurrent.BrokenBarrierException

All Implemented Interfaces:
  Serializable

    public class BrokenBarrierException

extends Exception

Exception thrown when a thread tries to wait upon a barrier that is in a broken state, or which enters the broken state while the thread is waiting.

Since:
  1.5
See Also:
  `CyclicBarrier`, Serialized Form

Constructor Summary
`BrokenBarrierException()` Constructs a `BrokenBarrierException` with no specified detail message.
`BrokenBarrierException(String message)` Constructs a `BrokenBarrierException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrokenBarrierException

    public BrokenBarrierException()

  Constructs a `BrokenBarrierException` with no specified detail message.

### BrokenBarrierException

    public BrokenBarrierException(String message)

  Constructs a `BrokenBarrierException` with the specified detail message.

  Parameters:
    `message` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.